Bug 536301 - (RHQ-666) Change create package-backed resource response APIs to provide resource name
Change create package-backed resource response APIs to provide resource name
Product: RHQ Project
Classification: Other
Component: Content (Show other bugs)
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Jason Dobies
Jeff Weiss
: Improvement
Depends On: RHQ-733
  Show dependency treegraph
Reported: 2008-07-14 09:42 EDT by Jason Dobies
Modified: 2014-11-09 17:50 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jason Dobies 2008-07-14 09:42:00 EDT
General feedback on creating a package-backed resource (EAR/WAR in particular) showed people were confused they had to enter a resource name and a package name at creation time. At the time, I thought it would be a shortcut to them having to rename the resource later, but really, I don't think that many people are renaming their resources all that frequently.

I'm going to leave the field in the request object in case a UI does want to go that route in the future. What this JIRA is for is to add the ability for the plugin to indicate the resource name (along with the key) when it reports the creation was successful. Since the plugin provides the resource name initially at discovery time, it makes sense it would come up with the resource name here.

On the server, if the user did provide a name, I won't overwrite it with the plugin provided one. I'm going to change the UI to not ask for the resource name, so this logic shouldn't be exercised currently.
Comment 1 Jason Dobies 2008-07-14 16:29:53 EDT
RHQ r1095, JON r10140

Changes package-backed resource creation to not prompt the user for a resource name; the idea being, the package should really dictate the resource name so it's redundent and confusing to prompt the user for one. The infrastructure for specifing the resource name at creation time is still in place (and in use by configuration-backed resources). Added DB setup/upgrade information to remove the requirement for a resource name at resource creation time. Changed plugin APIs to allow the resource name to be indicated in the response.
Comment 2 Jason Dobies 2008-07-14 16:31:54 EDT
BTW, this also ups the history entry's resource name length to 500 to match RHQ-481.
Comment 3 Jason Dobies 2008-07-14 16:37:34 EDT

- Test this as both an upgrade to an existing DB as well as a clean setup. There was one change to the DB schema (minor, changed a column length and ability to be null).
- Test the upgrade on both Oracle and Postgres.

- Deploy a new EAR file. You shouldn't be prompted for a resource name. When the response comes back as successful, you should see the file you just deployed as a resource with the same name as the package name you specified.
- Force a deployment to fail (simply don't have the agent running). Click the "Resubmit" option. Make sure the page appears (initially, I saw an error due to the resource name removal).
Comment 4 Jason Dobies 2008-07-14 16:41:50 EDT
Reopening since I messed up the workflow.
Comment 5 Jason Dobies 2008-07-16 14:47:20 EDT

This can easily be tested at the same time as RHQ-669.
Comment 6 Jeff Weiss 2008-08-14 16:35:45 EDT
Can't test this until rhq-733 is integrated.
Comment 7 Jeff Weiss 2008-08-27 11:17:06 EDT
Tested this on a clean install, worked.  note according to jdob, the package name is no longer part of the UI.  Now for an upgrade install.
Comment 8 Jeff Weiss 2008-08-27 16:20:08 EDT
Testing on upgrade failed, joseph will open a separate bug, which I will then link with this one, and close this one.  tested on rev1250, win, postgres
Comment 9 Jeff Weiss 2008-08-27 16:46:00 EDT
All bugs found have been opened separately, closing this one.
Comment 10 Red Hat Bugzilla 2009-11-10 16:14:20 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-666
This bug is duplicated by RHQ-667
This bug relates to RHQ-763

Note You need to log in before you can comment on or make changes to this bug.